Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.tree
Interface TreeCellRenderer

All Known Implementing Classes:
  DefaultTreeCellRenderer

public abstract interface TreeCellRenderer

Defines the requirements for an object that displays a tree node.

Method Summary
`java.awt.Component` | `getTreeCellRendererComponent(JTree tree, java.lang.Object value, boolean selected, boolean expanded, boolean leaf, int row, boolean hasFocus)` Sets the value of the current tree cell to `value`.

Method Detail

### getTreeCellRendererComponent

    public java.awt.Component getTreeCellRendererComponent(JTree tree,
                                                           java.lang.Object value,
                                                           boolean selected,
                                                           boolean expanded,
                                                           boolean leaf,
                                                           int row,
                                                           boolean hasFocus)

  Sets the value of the current tree cell to `value`. If `selected` is true, the cell will be drawn as if selected. If `expanded` is true the node is currently expanded and if `leaf` is true the node represets a leaf anf if `hasFocus` is true the node currently has focus. `tree` is the JTree the receiver is being configured for. Returns the Component that the renderer uses to draw the value.
  Returns:
    Component that the renderer uses to draw the value.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-1998 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.